//Methoden der Klasse Bruch implementieren

#include "Bruch.h"

Bruch::Bruch()
{
	cout << "Standard-Konstruktor Bruch startet\n";
}

Bruch::Bruch(int z, int n)
{
	cout << "Konstruktor Bruch startet\n";
	zaehler = z;
	if (n)
	{
		nenner = n;
		def = 1;
	}
	else
	{
		def = 0;
	}
}

Bruch::~Bruch()
{
	cout << "Destruktor Bruch startet\n";
}


void Bruch::zeige()
{
	cout << "\n  " << zaehler << "\n-----\n"
	     << "  " << nenner << endl;
}

void Bruch::sz(int z)
{
	zaehler = z;
}

void Bruch::sn(int n)
{
	if (n != 0)
		nenner = n;
}

void Bruch::erweitere(int faktor)
{
	zaehler *= faktor;
	nenner  *= faktor;
}

void Bruch::addiere(Bruch &b1, Bruch &b2)
{
	zaehler = b1.hz() * b2.hn() + b1.hn() * b2.hz();
	nenner  = b1.hn() * b2.hn();
}

void Bruch::multipliziere(Bruch &b1, Bruch &b2)
{
	zaehler = b1.hz() * b2.hz();
	nenner  = b1.hn() * b2.hn();
}