// Hauptfunktion

#include "UebAufgabe.h"
#include "TestAufgabe.h"

void ueben();
void testen();
void ubericht(UebAufgabe ua[]);
void tbericht(TestAufgabe ua[]);

void main()
{
	char antwort;

	cout << "Willst du ueben (u) oder testen (t)? ";
	cin >> antwort;
	if (antwort == 'u')
		ueben();
	else
		testen();

}


void ueben()
{
	int i;
	UebAufgabe ua[4] = {add, mult, add, mult};

/*
	UebAufgabe ua[4] = {UebAufgabe(add, 1, 2, 3, 4),
						 UebAufgabe(add, 2, 3, 3, 5),
						 UebAufgabe(mult, 1, 4, 3, 7)};
*/

	for (i = 0; i <= 3; i++)
	{
		ua[i].dialog(1);
	}

	ubericht(ua);
}


void testen()
{
	int i;
	TestAufgabe ta[4] = {add, mult, add, mult};

	for (i = 0; i <= 3; i++)
	{
		ta[i].dialog();
	}

	tbericht(ta);
}

void ubericht(UebAufgabe ua[])
{
	char antwort, opchar[2];
	int i, j, richtig;
	opchar[0] = '+'; opchar[1] = '*';
	for(j = 0; j <= 1; j++)
	{
		richtig = 0;
		for (i = j; i <= 3; i = i+=2) richtig += ua[i].herg();
		cout << "\n\nVon den 2 '" << opchar[j] << "'-Aufgaben hattest Du " << richtig << " richtig.\n";
		if (richtig < 2)
		{
			cout << "Willst Du die falsch geloesten Aufgaben noch mal sehen? (j/n)";
			cin >> antwort;
			if (antwort == 'j')
				for (i=j; i <= 3; i+=2)
					if (ua[i].herg()==0) ua[i].anzeigen();
		}
	}
}

void tbericht(TestAufgabe ta[])
{
	char opchar[2];
	int i, j;
	int richtig[2], gfehler=0;
	int zeit[2], gzeit=0;

	opchar[0] = '+'; opchar[1] = '*';
	for(j = 0; j <= 1; j++)
	{
		richtig[j] = 0;
		zeit[j] = 0;
		for (i = j; i <= 3; i = i+=2)
		{
			richtig[j] += ta[i].herg();
			zeit[j] += ta[i].hzeit();
		}
		cout << "\n\nVon den 2 '" << opchar[j] << "'-Aufgaben hattest Du " << richtig[j] << " richtig.\n";
		cout << "Du hast insgesamt " << zeit[j] << " Sekunden benoetigt\n";
		gfehler += (2-richtig[j]);
		gzeit += zeit[j];
	}

	cout << "\n\nDein Gesamtergebnis:\n";
	cout << "  Fehler:             " << gfehler << endl;
	cout << "  Benoetigte Zeit:    " << gzeit   << " Sekunden";
	if (gfehler > 0)
	{
		cout << " + " << (gfehler*10) << " Strafsekunden = "
			 << (gzeit + gfehler*10) << " Sekunden\n\n";
	}
	else
		cout << "\n\n";
}