//Methoden der Klasse Aufgabe implementieren

#include "Aufgabe.h"

void Aufgabe::init()
{
	switch (op)
	{
		case add:	opchar = '+';
					lsg.addiere(b1, b2);
					break;
		case mult:	opchar = '*';
					lsg.multipliziere(b1, b2);
					break;
	}
	dlsg = double(lsg.hz()) / lsg.hn();
	erg = 0;
}

Aufgabe::Aufgabe(Operation typ)
{
//	cout << "Standardkonstruktor Aufgabe startet\n";
	op = typ;
	init();
}

Aufgabe::Aufgabe(Operation typ, int b1Z, int b1N, int b2Z, int b2N):
                 b1(b1Z, b1N), b2(b2Z, b2N)
{
//	cout << "Konstruktor Aufgabe startet\n";
	op = typ;
	init();
}

Aufgabe::~Aufgabe()
{
//	cout << "\nDestruktor Aufgabe startet\n";
}

void Aufgabe::anzeigen()
{
	cout << "  " << b1.hz() << "                " << b2.hz() << endl;
	cout << "------     " << opchar << "     -----\n";
	cout << "  " << b1.hn() << "                " << b2.hn() << endl;
}

int	Aufgabe::fragen()
{
	int z, n;

	cout << "\nBerechne bitte:\n\n";
	anzeigen();
	cout << "\nWelchen Zaehler hat dein Ergebnis:     ";
	cin >> z;
	cout << "                                     ------\n";
	cout << "Welchen Nenner hat dein Ergebnis:      ";
	cin >> n;
	antwort.sz(z);
	antwort.sn(n);
	return 0;
}
