#include <cmath>

class R2Vek
{
public:	
	R2Vek() {x = 1.0; y = 0.0;}
	R2Vek(double xpar, double ypar) {x = xpar; y = ypar;}

	double gx() {return x;}
	double gy() {return y;}
	void sx(double xpar) {x = xpar;}
	void sy(double ypar) {y = ypar;}

	double betrag() const {return sqrt(x*x+y*y);}
	void norm();

	void add(const R2Vek& vp);
	void sub(const R2Vek& vp);
	double skalp(const R2Vek& vp) const;
	double winkel(const R2Vek& vp) const;
	void drehe(double grad);

private:
	double x, y;
};