// Klassen-Template Charry (Checked Array, mit Feldgrenzenberwachung)

#include <assert.h>
#include <iostream>
using namespace std;

template<class ElementType, int maxSize> class Charray
{
public:
	ElementType& operator[](int index)
	{
		assert(index >= 0 && index < maxSize);
		return daten[index];
	}
private:
	ElementType daten[maxSize];
};


class Charray<double, 20>
{
public:
	ElementType& operator[](int index)
	{
		assert(index >= 0 && index < maxSize);
		return daten[index];
	}
private:
	ElementType daten[maxSize];
};


void main()
{
	Charray<int, 10> chest;
	for (int i=0; i<10;i++)
		chest[i] = i;
	cout << chest[3] << endl;
}