// ModeDoc.cpp : Implementierung der Klasse CModeDoc
//

#include "stdafx.h"
#include "Mode.h"

#include "ModeDoc.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CModeDoc

IMPLEMENT_DYNCREATE(CModeDoc, CDocument)

BEGIN_MESSAGE_MAP(CModeDoc, CDocument)
	//{{AFX_MSG_MAP(CModeDoc)
		// HINWEIS - Hier werden Mapping-Makros vom Klassen-Assistenten eingefgt und entfernt.
		//    Innerhalb dieser generierten Quelltextabschnitte NICHTS VERNDERN!
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CModeDoc Konstruktion/Destruktion

CModeDoc::CModeDoc()
{
	// ZU ERLEDIGEN: Hier Code fr One-Time-Konstruktion einfgen

}

CModeDoc::~CModeDoc()
{
}

BOOL CModeDoc::OnNewDocument()
{
	if (!CDocument::OnNewDocument())
		return FALSE;

	// ZU ERLEDIGEN: Hier Code zur Reinitialisierung einfgen
	// (SDI-Dokumente verwenden dieses Dokument)
	for (int i = 0; i < 16; i++)
		for (int j = 0; j < 16; j++)
			m_clrMosaik[i][j] = RGB(0,0,0);

	return TRUE;
}



/////////////////////////////////////////////////////////////////////////////
// CModeDoc Serialisierung

void CModeDoc::Serialize(CArchive& ar)
{
	if (ar.IsStoring())
	{
		// ZU ERLEDIGEN: Hier Code zum Speichern einfgen
		for (int i = 0; i < 16; i++)
			for (int j = 0; j < 16; j++)
				ar << m_clrMosaik[i][j];
	}
	else
	{
		// ZU ERLEDIGEN: Hier Code zum Laden einfgen
		for (int i = 0; i < 16; i++)
			for (int j = 0; j < 16; j++)
				ar >> m_clrMosaik[i][j];
	}
}

/////////////////////////////////////////////////////////////////////////////
// CModeDoc Diagnose

#ifdef _DEBUG
void CModeDoc::AssertValid() const
{
	CDocument::AssertValid();
}

void CModeDoc::Dump(CDumpContext& dc) const
{
	CDocument::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CModeDoc Befehle

COLORREF CModeDoc::GetCellColor(int i, int j)
{
	return m_clrMosaik[i][j];
}

void CModeDoc::SetCellColor(int i, int j, COLORREF color)
{
	m_clrMosaik[i][j] = color;
	SetModifiedFlag(TRUE);
	UpdateAllViews(NULL);
}
