#include <iostream>
#include <cmath>
using namespace std;

class Rechteck;

class Kreis
{
public:
	Kreis(){};
	Kreis(double rad) {r = rad;};
	double ma() {return acos(-1)*r*r;};
	double mr() {return r;};
	void rinre(const Rechteck &reck);
private:
	double r;
};

/*
class Rechteck
{
public:
	Rechteck(double a, double b) {x = a; y = b;};
	double ma() {return x*y;};
	friend class Kreis;
private:
	double x, y;
};
*/

class Rechteck
{
public:
	Rechteck(double a, double b) {x = a; y = b;};
	double ma() {return x*y;};
	friend void Kreis::rinre(const Rechteck &reck);
private:
	double x, y;
};


void Kreis::rinre(const Rechteck &reck)
{
	if (reck.x <= reck.y)
		r = reck.x/2;
	else
		r = reck.y/2;
}

void main()
{
	Rechteck reck(4, 3);
	Kreis kr;

	kr.rinre(reck);
	cout  << "\nKreis-Radius = " << kr.mr() << endl;
}
