#include <windows.h>
#include <mmsystem.h> //wird nur fr PlaySound() bentigt.
#include <time.h>
//#include <stdio.h>


void sleep( clock_t wait )
{
   clock_t goal;
   goal = wait + clock();
   while( goal > clock() );
}

LRESULT CALLBACK WndProc(HWND, UINT, WPARAM, LPARAM);

int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
				   LPSTR lpszCmdLine, int nCmdShow)
{
	WNDCLASS wc;
	HWND hwnd;
	MSG msg;

	wc.style = CS_HREDRAW | CS_VREDRAW;
	wc.lpfnWndProc = WndProc;
	wc.cbClsExtra = 0;
	wc.cbWndExtra = 0;
	wc.hInstance = hInstance;
	wc.hIcon = LoadIcon(NULL, IDI_WINLOGO);
	wc.hCursor = LoadCursor(NULL, IDC_ARROW);
//	wc.hCursor = LoadCursor(NULL, IDC_WAIT);
	wc.hbrBackground = (HBRUSH) (COLOR_WINDOW + 1);
	wc.lpszMenuName = NULL;
	wc.lpszClassName = "Meine Fenster-Sorte";

	RegisterClass(&wc);


	hwnd = CreateWindow(
			 "Meine Fenster-Sorte",    //Fenster-Sorte
			 "SDK-Anwendung",          //Fenster-Titel
			 WS_OVERLAPPEDWINDOW,      //Fenster-Stil
			 300,                      //Horizontale Fenster-Startposition
			 200,                      //Vertikale Fenster-Startposition
			 300,                      //Breite beim Start
			 200,                      //Hhe beim Start
			 NULL,                     //Handle des Eltern-Fensters
			 NULL,
			 hInstance,
			 NULL);

//if (nCmdShow == SW_SHOWMINNOACTIVE)
//	PlaySound("tada.wav", NULL, SND_FILENAME | SND_ASYNC);	

	ShowWindow(hwnd, nCmdShow);
//sleep(2000);
	UpdateWindow(hwnd);
//sleep(2000);

	while (GetMessage(&msg, NULL, 0, 0))
	{
		TranslateMessage(&msg);
//		PlaySound("ding.wav", NULL, SND_FILENAME | SND_ASYNC);
//		sleep(1000);
		DispatchMessage(&msg);
	}

	return msg.wParam;
}

LRESULT CALLBACK WndProc(HWND hwnd, UINT message, WPARAM wParam, LPARAM lParam)
{
	PAINTSTRUCT ps;
	HDC hdc;
	RECT rect;

	switch (message)
	{
		case WM_CREATE:		//PlaySound("ringin.wav", NULL, SND_FILENAME | SND_ASYNC);
							return 0;
		case WM_PAINT:		//PlaySound("ding.wav", NULL, SND_FILENAME | SND_ASYNC);
							hdc = BeginPaint(hwnd, &ps);
							GetClientRect(hwnd, &rect);
							DrawText(hdc, "Hallchen!", -1, &rect,
							         DT_SINGLELINE|DT_CENTER|DT_VCENTER);
							EndPaint(hwnd, &ps);
							return 0;
		case WM_DESTROY:	PostQuitMessage(0);
							return 0;
	}

	return DefWindowProc(hwnd, message, wParam, lParam);
}

//MessageBox(NULL, buffer, "Titel", 0);